const axios = require('axios')

const CHECK_IN_ID = 'qmXXCxw9WEWN3X/YrkMWuQ=='
const CHECK_OUT_ID = 'j8ekmJaw6W3M4w3i6hlSIQ=='

async function kingoftime(operationId, token, userToken) {
  const response = await axios({
    method: 'post',
    // url: 'https://s2.kingtime.jp/gateway/bprgateway',
    url: 'https://httpbin.org/anything',
    headers: {
      Accept: 'application/json, text/javascript, */*; q=0.01',
    },
    data: new URLSearchParams({
      id: operationId,
      highAccuracyFlg: 'false',
      credential_code: '40', // eslint-disable-line camelcase
      user_token: userToken, // eslint-disable-line camelcase
      version: '1.4.2',
      token: token,
    }),
  })
  console.log(response.data)
}

async function checkin(token, userToken) {
  await kingoftime(CHECK_IN_ID, token, userToken)
}

async function checkout(token, userToken) {
  await kingoftime(CHECK_OUT_ID, token, userToken)
}

module.exports = {checkin, checkout}
